Last Comment Bug 614868 - Fix the plugin blocklisting test to handle a new window which is opened when we update our blocklist
: Fix the plugin blocklisting test to handle a new window which is opened when ...
Status: VERIFIED FIXED
:
Product: Toolkit
Classification: Components
Component: Add-ons Manager (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla2.0b8
Assigned To: Dave Townsend [:mossop]
:
: Andy McKay [:andym]
Mentors:
Depends on:
Blocks: 426214
  Show dependency treegraph
 
Reported: 2010-11-25 14:45 PST by :Ehsan Akhgari
Modified: 2010-12-12 20:50 PST (History)
8 users (show)
dtownsend: in‑testsuite+
dtownsend: in‑litmus-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
final+
.14-fixed
.17-fixed


Attachments
patch rev 1 (1.65 KB, patch)
2010-12-01 16:18 PST, Dave Townsend [:mossop]
robert.strong.bugs: review+
Details | Diff | Splinter Review

Description :Ehsan Akhgari 2010-11-25 14:45:19 PST
After this changeset <http://hg.mozilla.org/mozilla-central/rev/25a981d7de7d> landed, test_bug430120.js <http://hg.mozilla.org/mozilla-central/annotate/765087b28561/toolkit/mozapps/extensions/test/xpcshell/test_bug430120.js> started to fail like this:

<http://tinderbox.mozilla.org/showlog.cgi?tree=Firefox&errorparser=unittest&logfile=1290716791.1290718885.3500.gz&buildtime=1290716791&buildname=WINNT%205.2%20mozilla-central%20debug%20test%20xpcshell&fulltext=1#err0>

TEST-INFO | e:\builds\moz2_slave\mozilla-central-win32-debug-unittest-xpcshell\build\xpcshell\tests\toolkit\mozapps\extensions\test\xpcshell\test_bug430120.js | running test ...
TEST-UNEXPECTED-FAIL | e:\builds\moz2_slave\mozilla-central-win32-debug-unittest-xpcshell\build\xpcshell\tests\toolkit\mozapps\extensions\test\xpcshell\test_bug430120.js | test failed (with xpcshell return code: -2147483645), see following log:
>>>>>>>
### XPCOM_MEM_LEAK_LOG defined -- logging leaks to c:\docume~1\cltbld\locals~1\temp\tmpycyspn\runxpcshelltests_leaks.log
pldhash: for the table at address 0543E558, the given entrySize of 48 probably favors chaining over double hashing.
TEST-INFO | (xpcshell/head.js) | test 1 pending\nTEST-PASS | e:/builds/moz2_slave/mozilla-central-win32-debug-unittest-xpcshell/build/xpcshell/tests/toolkit/mozapps/extensions/test/xpcshell/test_bug430120.js | [run_test : 150] true == true\nTEST-INFO | (xpcshell/head.js) | test 2 pending\nnsNativeModuleLoader::LoadModule("e:\builds\moz2_slave\mozilla-central-win32-debug-unittest-xpcshell\build\firefox\components\xpcomsample.dll") - load FAILED, rv: 80520012, error:
	<unknown; can't get error from NSPR>
*** Blocklist::_loadBlocklistFromFile: blocklist is disabled
*** Blocklist state for Test Plug-in changed from -1 to 0
*** Blocklist state for Windows Presentation Foundation changed from -1 to 0
*** Blocklist state for Java Deployment Toolkit 6.0.140.8 changed from -1 to 0
*** Blocklist state for Java(TM) Platform SE 6 U14 changed from -1 to 0
*** Blocklist state for Test Plug-in changed from -1 to 0
*** Blocklist state for Windows Presentation Foundation changed from -1 to 0
*** Blocklist state for Java Deployment Toolkit 6.0.140.8 changed from -1 to 1
*** Blocklist state for Java(TM) Platform SE 6 U14 changed from -1 to 0
###!!! ASSERTION: attempted to open a new window with no WindowCreator: 'mWindowCreator', file e:/builds/moz2_slave/mozilla-central-win32-debug/build/embedding/components/windowwatcher/src/nsWindowWatcher.cpp, line 687
nsStringStats
 => mAllocCount:           2787
 => mReallocCount:           61
 => mFreeCount:             708  --  LEAKED 2079 !!!
 => mShareCount:           7511
 => mAdoptCount:            128
 => mAdoptFreeCount:        126  --  LEAKED 2 !!!
xul!DumpJSValue+0x0000000000169DC5
xul!NS_InvokeByIndex_P+0x0000000000000027
xul!DumpJSValue+0x00000000000478E8
xul!DumpJSValue+0x00000000000459BF
xul!DumpJSValue+0x000000000004574D
xul!DumpJSValue+0x000000000002A53C
mozjs!JS_AlreadyHasOwnProperty+0x00000000000CF54C
mozjs!JS_AlreadyHasOwnProperty+0x00000000000E0D2A
mozjs!JS_AlreadyHasOwnProperty+0x00000000000CEC54
mozjs!JS_AlreadyHasOwnProperty+0x00000000000CF0BF
mozjs!JS_AlreadyHasOwnProperty+0x00000000000A5EEB
mozjs!JS_AlreadyHasOwnProperty+0x00000000000CF54C
mozjs!JS_AlreadyHasOwnProperty+0x00000000000E0D2A
mozjs!JS_AlreadyHasOwnProperty+0x00000000000CEC54
mozjs!JS_AlreadyHasOwnProperty+0x00000000000CF0BF
mozjs!JS_AlreadyHasOwnProperty+0x00000000000D00AB
mozjs!JS_AlreadyHasOwnProperty+0x0000000000033718
mozjs!JS_AlreadyHasOwnProperty+0x0000000000033B6C
xul!DumpJSValue+0x00000000000FACCB
xul!DumpJSValue+0x00000000000F54A3
xul!NS_InvokeByIndex_P+0x0000000000000556
xul!NS_InvokeByIndex_P+0x0000000000000226
xul!gfxSize::operator=+0x000000000007C1B6
xul!gfxSize::operator=+0x0000000000087C02
xul!gfxSize::operator=+0x0000000000087596
xul!gfxSize::operator=+0x00000000000861AE
xul!gfxSize::operator=+0x00000000000796F9
xul!gfxSize::operator=+0x000000000007F940
xul!NS_InvokeByIndex_P+0x0000000000000027
xul!DumpJSValue+0x00000000000478E8
xul!DumpJSValue+0x00000000000459BF
xul!DumpJSValue+0x000000000004574D
xul!DumpJSValue+0x000000000002A53C
mozjs!JS_AlreadyHasOwnProperty+0x00000000000CF54C
mozjs!JS_AlreadyHasOwnProperty+0x00000000000E0D2A
mozjs!JS_AlreadyHasOwnProperty+0x00000000000CEC54
mozjs!JS_AlreadyHasOwnProperty+0x00000000000D07DD
mozjs!JS_AlreadyHasOwnProperty+0x00000000000332A8
mozjs!JS_AlreadyHasOwnProperty+0x0000000000033433
0x0000000000405C86
0x0000000000404A5D
0x0000000000413066
0x0000000000412EBD
kernel32!ProcessIdToSessionId+0x0000000000000209
###!!! ASSERTION: attempted to open a new window with no WindowCreator: 'mWindowCreator', file e:/builds/moz2_slave/mozilla-central-win32-debug/build/embedding/components/windowwatcher/src/nsWindowWatcher.cpp, line 687
<<<<<<<

I think this is happening because we're trying to open a new window here: <http://mxr.mozilla.org/mozilla-central/source/toolkit/mozapps/extensions/nsBlocklistService.js#908>.

Why this only failed on Win debug is a mystery to me.

This needs to be fixed before we can land any blocklist.xml updates on mozilla-central, I think.
Comment 1 Dave Townsend [:mossop] 2010-11-30 10:34:38 PST
This means that the tinderboxen have a blocklisted plugin installed on them (looks like Java Deployment Toolkit).
Comment 2 :Ehsan Akhgari 2010-11-30 13:56:46 PST
(In reply to comment #1)
> This means that the tinderboxen have a blocklisted plugin installed on them
> (looks like Java Deployment Toolkit).

Heh, awesome!  Then I guess we should move this to IT to ask them to uninstall it, right?
Comment 3 Dave Townsend [:mossop] 2010-11-30 14:00:16 PST
Well it'd certainly be worth looking at what in on those machines and why it was blocklisted, but we can also make the test more resilient anyway. I've just pushed something to try that would probably fix the problem.
Comment 4 :Ehsan Akhgari 2010-11-30 14:37:15 PST
(In reply to comment #3)
> Well it'd certainly be worth looking at what in on those machines and why it
> was blocklisted, but we can also make the test more resilient anyway. I've just
> pushed something to try that would probably fix the problem.

OK, yes, that sounds reasonable.  Thanks!
Comment 5 christian 2010-11-30 15:15:39 PST
http://www.mozilla.com/en-US/blocklist/:

Java Deployment Toolkit, versions 6.0.200.0 and older. Reason: security vulnerabilities (see bug 558584).
Comment 6 Dave Townsend [:mossop] 2010-11-30 15:23:52 PST
(In reply to comment #5)
> http://www.mozilla.com/en-US/blocklist/:
> 
> Java Deployment Toolkit, versions 6.0.200.0 and older. Reason: security
> vulnerabilities (see bug 558584).

A skim of the issue suggests that since the tinderbox machines aren't being used to browse random websites there is probably not much urgency in updating them immediately.
Comment 7 Dave Townsend [:mossop] 2010-12-01 16:18:19 PST
Created attachment 494552 [details] [diff] [review]
patch rev 1

This writes an empty blocklist to the test profile so the app-provided blocklist is ignored. This seems better than ignoring any open window as it ensures a stable testing environment.
Comment 8 Dave Townsend [:mossop] 2010-12-02 16:07:11 PST
Landed: http://hg.mozilla.org/mozilla-central/rev/b8388f11a366
Comment 9 Chris Cooper [:coop] 2010-12-02 17:29:18 PST
Mossop: does this need backporting to 1.9.2/1.9.1?
Comment 10 Dave Townsend [:mossop] 2010-12-03 09:56:59 PST
Looks like yes, I'll get on that today
Comment 12 Henrik Skupin (:whimboo) 2010-12-12 20:50:39 PST
No more test failures since the landing of the patch. Marking as verified fixed.

Note You need to log in before you can comment on or make changes to this bug.